Subject: Re: [Ltru] Unicity of variant subtags (Was: BCP47 Appeals process

From: "Doug Ewell" <[email-masked]>
Date: Fri, 19 Sep 2008 20:41:39 -0600

"Phillips, Addison" <addison at amazon dot com> replied to Stéphane 
Bortzmeyer:

>> Indeed, I was quite surprised to see that nowhere in RFC 4646 the 
>> unicity of variants (independantly of the Prefix) is mandated. Unless 
>> I missed something?

(I believe the English word Stéphane was looking for is "uniqueness," an 
unwieldy marriage of a French adjective to an English suffix.)

>> Which means that, in theory, two different variants could have the 
>> same subtag, at least is they have different prefixes? We could, 
>> again in theory, have fr-academ and be-academ where the two "academ" 
>> would be two different variants, registered separately?
>
> Section 3.5 says (in part):
>
> --
> Requests to add a prefix to a variant subtag that imply a different 
> semantic meaning will probably be rejected. For example, a request to 
> add the prefix "de" to the subtag 'nedis' so that the tag "de-nedis" 
> represented some German dialect would be rejected. The 'nedis' subtag 
> represents a particular Slovenian dialect and the additional 
> registration would change the semantic meaning assigned to the subtag. 
> A separate subtag SHOULD be proposed instead.
> --

I read Stéphane's question a bit differently from the way Addison read 
it.

To answer the question I thought he was asking:  RFC 4646 does not seem 
to prohibit the following, although clearly it should:

Type: variant
Subtag: mumble
Description: Something
Prefix: xx
%%
Type: variant
Subtag: mumble
Description: Something else
Prefix: yy

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 19 Sep 2008 20:59:48 -0700

Hi -

As a technical contributor...

> From: "Doug Ewell" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Friday, September 19, 2008 7:41 PM
> Subject: Re: [Ltru] Unicity of variant subtags (Was: BCP47 Appeals process
...
> Description: Something else

To support something like the generic "-pinyin" being discussed on
[email-masked], we'd either ned to make use of this form,
or include multiple descriptions to spell out what the variant would
mean in each of its prefixes, assuming that the folks there are willing
to buy the argument that "the piynin orthography for X" is the same
semantic for all languages X.

Randy

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Tue, 23 Sep 2008 15:48:23 +0200

On Fri, Sep 19, 2008 at 08:41:39PM -0600,
 Doug Ewell <[email-masked]> wrote 
 a message of 9 lines which said:

> (I believe the English word Stéphane was looking for is
> "uniqueness," an unwieldy marriage of a French adjective to an
> English suffix.)

Yes, sorry.

> To answer the question I thought he was asking:  RFC 4646 does not
> seem to prohibit the following, although clearly it should:

Indeed, I think the prohibition is not clearly stated. Wether it
should or not (and, anyway, we are in WGLC, so it is not really time
to suggest additions), I'm not sure.